Q_GETQUOTA(2const)

NAME
Q_GETQUOTA - get disk quota limits and current usage for user or group

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <sys/quota.h>

int quotactl(QCMD(Q_GETQUOTA, type), const char *_Nullable special,
             int id, caddr_t addr);

#include <sys/quota.h>    /* Definition of Q_* constants */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_GETQUOTA, type),
            int id, struct dqblk *addr);

DESCRIPTION
Get disk quota limits and current usage for user or group id.

The addr argument is a pointer to a dqblk(2type) structure.

Currently, the kernel fills in all entries of the dqblk(2type) structure and marks them as valid in the .dqb_valid field.

Unprivileged users may retrieve only their own quotas; a privileged user (CAP_SYS_ADMIN) can retrieve the quotas of any user.

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
Linux.

HISTORY
Linux.

SEE ALSO
quotactl(2), quotactl_fd(2), Q_GETNEXTQUOTA(2const), dqblk(2type)